package com.yihu.wlyy.web.patient.followup.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class FollowUpItemRecordDetailVO {
	// 非业务主键
	protected Long id;
	// 随访记录标识
	private String code;
	// 随访计划标识
	private String plan;
	// 随访计划阶段标识
	private String stage;
	// 随访计划阶段随访项标识
	private String item;
	// 类型：1问卷，2体测
	private int type;
	// 标题
	private String title;
	// 状态：0进行中，1已完成
	private int status;
	// 生成日期
	private Date czrq;
	// 医生
	private String doctor;
	// 医生名字
	private String doctorName;

	List<FollowUpItemRecordQuestionVO> followUpItemRecordQuestionVO = new ArrayList<FollowUpItemRecordQuestionVO>();

	public Long getId() {
		return id;
	}

	public String getDoctor() {
		return doctor;
	}

	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public String getStage() {
		return stage;
	}

	public void setStage(String stage) {
		this.stage = stage;
	}

	public String getItem() {
		return item;
	}

	public void setItem(String item) {
		this.item = item;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public List<FollowUpItemRecordQuestionVO> getFollowUpItemRecordQuestionVO() {
		return followUpItemRecordQuestionVO;
	}

	public void setFollowUpItemRecordQuestionVO(
			List<FollowUpItemRecordQuestionVO> followUpItemRecordQuestionVO) {
		this.followUpItemRecordQuestionVO = followUpItemRecordQuestionVO;
	}

}
